#!/usr/bin/env bash
# 
# Licensed Materials - Property of IBM
#
# IBM Financial Crimes Insight with Watson PID 5900-A0H  
# IBM Financial Crimes Insight with Watson, Private PID 5737-E41
# 
# (C) Copyright IBM Corp. 2017  All rights reserved.
# 
# The source code for this program is not published or otherwise divested  
# of its trade secrets, irrespective of what has been deposited with the  
# U. S. Copyright Office. 
# 
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#

SCRIPT_DIR=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
. "${SCRIPT_DIR}/maintenance-states.sh"

status=$NORMAL
maint_PID_file="/tmp/MAINTENANCE_MODE"

if [[ ! -f "${maint_PID_file}" ]]; then
	: # assume 'normal' operation
else
	status=$(<"${maint_PID_file}")
	status=$(( status ))
fi

echo "${MAINTENANCE_STATES[$status]}"

exit $status
