#!/usr/bin/env bash

declare -i pods=$(wget -q -O - --ca-certificate=/var/run/secrets/kubernetes.io/serviceaccount/ca.crt --header="Authorization: Bearer $(cat /var/run/secrets/kubernetes.io/serviceaccount/token)" https://kubernetes.default.svc/api/v1/namespaces/default/endpoints/fci-messaging | awk '/"addresses":/{flag=1;next}/\]/{flag=0}flag' | grep -c \"ip\")

if [[ $pods -gt 0 ]]; then
  exit 0
else
  exit 1
fi
