#!/usr/bin/env bash

SCRIPT_DIR=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
. "${SCRIPT_DIR}/container-script-location.sh"

cat << EOF > "${CONTAINER_SCRIPTS}/start.sh"
#!/usr/bin/env bash
exit 0
EOF

cat << EOF > "${CONTAINER_SCRIPTS}/stop.sh"
#!/usr/bin/env bash
exit 0
EOF

cat << EOF > "${CONTAINER_SCRIPTS}/healthcheck.sh"
#!/usr/bin/env bash
exit 0
EOF

chmod 755 	"${CONTAINER_SCRIPTS}/start.sh" \
		"${CONTAINER_SCRIPTS}/stop.sh" \
		"${CONTAINER_SCRIPTS}/healthcheck.sh"

tail -f /dev/null

